Skip to content
Start here

List deploy hooks

GET/accounts/{account_id}/builds/workers/{script_name}/deploy_hooks

Get all deploy hooks for a specific worker script.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers CI WriteWorkers CI Read
Path ParametersExpand Collapse
account_id: string

Account identifier.

script_name: string

Human-readable name of the worker.

ReturnsExpand Collapse
errors: array of object { code, message }
code: optional number
message: optional string
messages: array of string
result: array of object { branch, created_on, deploy_hook_name, 4 more }
branch: optional string

Git branch name.

created_on: optional string
formatdate-time
deploy_hook_name: optional string

Deploy hook name (1-58 characters).

maxLength58
minLength1
deploy_hook_uuid: optional string

Deploy hook UUID.

formatuuid
external_script_id: optional string

System-generated worker script tag.

latest_build: optional object { created_on }
created_on: optional string
formatdate-time
modified_on: optional string
formatdate-time
success: boolean
result_info: optional object { count, page, per_page, 2 more }
count: optional number
page: optional number
per_page: optional number
total_count: optional number
total_pages: optional number

List deploy hooks

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/workers/$SCRIPT_NAME/deploy_hooks \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "branch": "main",
      "created_on": "2019-12-27T18:11:19.117Z",
      "deploy_hook_name": "Production Deploy Hook",
      "deploy_hook_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "external_script_id": "dd7160bb9cef458093557736f4b9e75b",
      "latest_build": {
        "created_on": "2019-12-27T18:11:19.117Z"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "branch": "main",
      "created_on": "2019-12-27T18:11:19.117Z",
      "deploy_hook_name": "Production Deploy Hook",
      "deploy_hook_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "external_script_id": "dd7160bb9cef458093557736f4b9e75b",
      "latest_build": {
        "created_on": "2019-12-27T18:11:19.117Z"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}